using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using SqlSugar;
using XF.Domain.Repository;

namespace Hotline.Orders
{
	[Description("工单分析报告")]
	public class OrderAnalysis : FullStateEntity
	{
		/// <summary>
		/// 受理类型
		/// </summary>
		[SugarColumn(ColumnDescription = "受理类型")]
		public string AcceptType { get; set; }

		/// <summary>
		/// 受理类型
		/// </summary>
		[SugarColumn(ColumnDescription = "受理类型")]
		public string AcceptTypeCode { get; set; }

		/// <summary>
		/// 热点
		/// </summary>
		[SugarColumn(ColumnDescription = "热点")]
		public string HotspotId { get; set; }

		/// <summary>
		/// 热点
		/// </summary>
		[SugarColumn(ColumnDescription = "热点")]
		public string HotspotName { get; set; }

		/// <summary>
		/// 区域
		/// </summary>
		[SugarColumn(ColumnDescription = "区域")]
		public string AreaCode { get; set; }

		/// <summary>
		/// 区域
		/// </summary>
		[SugarColumn(ColumnDescription = "区域")]
		public string AreaName { get; set; }

		/// <summary>
		/// 报告id
		/// </summary>
		[SugarColumn(ColumnDescription = "报告id")]
		public string AnalysisId { get; set; }

		/// <summary>
		/// 报告名称
		/// </summary>
		[SugarColumn(ColumnDescription = "报告名称")]
		public string AnalysisName { get; set; }

		/// <summary>
		/// 备注
		/// </summary>
		[SugarColumn(ColumnDescription = "备注")]
		public string? Remark { get; set; }

		/// <summary>
		/// 生成时间
		/// </summary>
		[SugarColumn(ColumnDescription = "生成时间")]
		public DateTime? GeneratedTime { get; set; }

		/// <summary>
		/// 开始时间
		/// </summary>
		[SugarColumn(ColumnDescription = "开始时间")]
		public DateTime? StartTime { get; set; }

		/// <summary>
		/// 结束时间
		/// </summary>
		[SugarColumn(ColumnDescription = "结束时间")]
		public DateTime? EndTime { get; set; }

	}
}
